Bug 403431 - NMI broken on many Intel/AMD systems
NMI broken on many Intel/AMD systems
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.0
All Linux
high Severity high
: ---
: ---
Assigned To: Prarit Bhargava
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 15:14 EST by Prarit Bhargava
Modified: 2008-02-27 14:56 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.21-56
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-05 12:25:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
RT fix for this issue (3.98 KB, patch)
2007-11-28 15:14 EST, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Prarit Bhargava 2007-11-28 15:14:14 EST
Description of problem:

The NMI doesn't work on some Intel boxes.

Version-Release number of selected component (if applicable): 2.6.21-54.el5rt


How reproducible: 100%
  
Actual results: No NMI events are seen in /proc/interrupts


Expected results: NMI events should be occurring.


Additional info:  Westford RHTS system hp-dl380g5-01.rhts experiences this problem.

Patch against 54.el5rt is attached.
Comment 1 Prarit Bhargava 2007-11-28 15:14:14 EST
Created attachment 271691 [details]
RT fix for this issue
Comment 2 Jeff Burke 2007-11-28 22:15:58 EST
Parit,
    With this patch in the 2.6.21-55.el5rt kernel, The i386 Intel systems look
good I see NMI iterrupts on the systems that did not have them before. As a
unwanted side affect we have lost NMI on some x86_64 not all.

For example:

********** System Information **********
Hostname                = ibm-morrison.lab.boston.redhat.com
Kernel Version          = 2.6.21-55.el5rt
Machine Hardware Name   = x86_64
Processor Type          = x86_64
Number of Processors    = 4
System NMI Interrupts   = NMI:          0          0          0          0 

Link to dmidecode data for the above system.
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=1282028

********** System Information **********
Hostname                = ibm-ls21-7972-01.lab.boston.redhat.com
Kernel Version          = 2.6.21-55.el5rt
Machine Hardware Name   = x86_64
Processor Type          = x86_64
Number of Processors    = 4
System NMI Interrupts   = NMI:          0          0          0          0 

Link to dmidecode data for the above system.
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=1282010

********** System Information **********
Hostname                = ibm-wildhorse-01.rhts.boston.redhat.com
Kernel Version          = 2.6.21-55.el5rt
Machine Hardware Name   = x86_64
Processor Type          = x86_64
Number of Processors    = 4
System NMI Interrupts   = NMI:          0          0          0          0 

Link to dmidecode data for the above system.
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=1282046

Thanks,
Jeff
Comment 3 Prarit Bhargava 2007-11-29 08:29:46 EST
I just gave you a backport but didn't give you the fix for 391741 (which was
just confirmed as a valid fix yesterday evening by AMD).

After POSTing the fix for 391741 to RHKL, I will open up a new BZ for the RT kernel.

ie) the patch above is valid -- it backports the current RHEL5 fixes into the RT
kernel.  391741 (and therefore the backport into RT) is a "new" bug.

P.



Comment 4 Prarit Bhargava 2007-11-29 10:03:31 EST
This patch was committed?  Moving to POST.

P.

Note You need to log in before you can comment on or make changes to this bug.